/* FONTS */
@font-face {
  font-family: "Cantarell var";
  font-weight: 100 900;
  font-display: swap;
  font-style: normal;
  font-named-instance: "Regular";
  src: url("../fonts/Cantarell-VF.woff2") format("woff2"),
    url("../fonts/Cantarell-VF.otf") format("opentype");
}

/* Inter 4.1 taken from static.gnome.org in HTML */

html {
  font-family: InterVariable, sans-serif;
  scroll-behavior: smooth;
}

:root {
  --rounded-corner: 12px;
  --gnomeblue: #1c71d8;
  --blue1: rgb(153, 193, 241);
  --blue2: rgb(98, 160, 234);
  --blue3: rgb(53, 132, 228);
  --blue4: rgb(28, 113, 216);
  --blue5: rgb(26, 95, 180);
  --green1: rgb(143, 240, 164);
  --green2: rgb(87, 227, 137);
  --green3: rgb(51, 209, 122);
  --green4: rgb(46, 194, 126);
  --green5: rgb(38, 162, 105);
  --yellow1: rgb(249, 240, 107);
  --yellow2: rgb(248, 228, 92);
  --yellow3: rgb(246, 211, 45);
  --yellow4: rgb(245, 194, 17);
  --yellow5: rgb(229, 165, 10);
  --orange1: rgb(255, 190, 111);
  --orange2: rgb(255, 163, 72);
  --orange3: rgb(255, 120, 0);
  --orange4: rgb(230, 97, 0);
  --orange5: rgb(198, 70, 0);
  --red1: rgb(246, 97, 81);
  --red2: rgb(237, 51, 59);
  --red3: rgb(224, 27, 36);
  --red4: rgb(192, 28, 40);
  --red5: rgb(165, 29, 45);
  --purple1: rgb(220, 138, 221);
  --purple2: rgb(192, 97, 203);
  --purple3: rgb(145, 65, 172);
  --purple4: rgb(129, 61, 156);
  --purple5: rgb(97, 53, 131);
  --brown1: rgb(205, 171, 143);
  --brown2: rgb(181, 131, 90);
  --brown3: rgb(152, 106, 68);
  --brown4: rgb(134, 94, 60);
  --brown5: rgb(99, 69, 44);
  --light1: rgb(255, 255, 255);
  --light2: rgb(246, 245, 244);
  --light3: rgb(222, 221, 218);
  --light4: rgb(192, 191, 188);
  --light5: rgb(154, 153, 150);
  --dark1: rgb(119, 118, 123);
  --dark2: rgb(94, 92, 100);
  --dark3: rgb(61, 56, 70);
  --dark4: rgb(36, 31, 49);
  --dark5: rgb(0, 0, 0);
  --text: #f6f5f4;
  --maxwidth: 56rem;
}

* {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-weight: 400;
  font-variation-settings: "wght" 400;
  line-height: 1.6;
  letter-spacing: -0.01em;
  word-spacing: -0.01em;
}
@media (min-width: 700px) {
  html,
  body {
    font-size: 18px;
  }
}

a {
  color: var(--blue3);
}

body {
  color: var(--text);
  background-color: var(--light1);
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 4rem auto;
  grid-template-areas:
    "hd"
    "splash"
    "main"
    "weights"
    "ft";
  min-height: 100vh;
}
@media (min-width: 2400px) {
  /* really wide layout */
  body {
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: minmax(100px, auto);
    grid-template-areas:
      "hd hd hdb"
      "splash splash main"
      "weights weights main"
      "ft ft ft";
  }
}

h1,
h2,
h3,
h4 {
  font-family: "Cantarell var", sans-serif;
  font-weight: 800;
  font-variation-settings: "wght" 800;
}
.title-1 {
  font-family: "Cantarell var", sans-serif;
  font-weight: 800;
  font-variation-settings: "wght" 800;
  font-size: 20pt;
}
.title-2 {
  font-family: "Cantarell var", sans-serif;
  font-weight: 800;
  font-variation-settings: "wght" 800;
  font-size: 15pt;
}
.title-3 {
  font-family: "Cantarell var", sans-serif;
  font-weight: 700;
  font-variation-settings: "wght" 700;
  font-size: 15pt;
}
.title-4 {
  font-family: "Cantarell var", sans-serif;
  font-weight: 700;
  font-variation-settings: "wght" 700;
  font-size: 13pt;
}

/* hide elements only useful with javascript */
.hidden {
  display: none;
}

/* HEADER */
.header {
  grid-area: hd;
  background-color: var(--dark4);
}
.header a {
  color: var(--light1);
  text-decoration: none;
}
.header .home {
  font-weight: 800;
  font-variation-settings: "wght" 800;
  margin-right: 3rem;
}
.header .nav {
  display: flex;
  list-style: none;
  gap: 1rem;
  max-width: var(--maxwidth);
  margin: 0 auto;
  padding: 0 1rem;
  align-items: baseline;
}
.header .nav li {
  display: block;
  list-style: none;
  padding: 1rem;
}

.hdb {
  grid-area: hdb;
  background-color: var(--dark4);
}

.btn {
  font-weight: 800;
  font-variation-settings: "wght" 800;
  color: var(--light1);
}
.btn.download {
  display: inline-block;
  font-size: 120%;
  background-color: var(--blue4);
  padding: 0.4rem 1rem;
  border-radius: 12px;
}
.btn.download:hover {
  background-color: var(--blue3);
}
.btn.download:active {
  background-color: var(--blue2);
}

/* BODY */
.splash {
  grid-area: splash;
  background: linear-gradient(45deg, var(--blue4) 70%, var(--purple2) 100%);
}
.splash a {
  color: var(--light2);
}
.splash > div {
  max-width: var(--maxwidth);
  margin: 0 auto;
  padding: 0 1rem;
}
.splash h1 {
  font-weight: 800;
  font-variation-settings: "wght" 800;
  font-size: 20pt;
  margin-top: 3em;
}

.splash .sample {
  /* font-weight: normal;
    font-variation-settings: 'wght' 400;
    font-size: 20pt;
    line-height: 100%; 
    */
  font-family: "Cantarell var", sans-serif;
  --var-weight: 600;
  --var-letterSpacing: -0.03em;
  --var-lineHeight: 1.1;
  font-size: 28px;
  letter-spacing: var(--var-letterSpacing);
  line-height: var(--var-lineHeight);
  font-variation-settings: "wght" var(--var-weight), "slnt" var(--var-slant);
  word-wrap: anywhere; /* webkit */
  overflow-wrap: anywhere; /* ffox */
}
@media (min-width: 500px) {
  .splash h1 {
    font-size: 48pt;
  }
  .splash .sample {
    font-size: 48px;
  }
}

.main {
  grid-area: main;
  background-color: var(--light1);
  color: var(--dark5);
}
@media (prefers-color-scheme: dark) {
  .main {
    background-color: var(--dark4);
    color: var(--light2);
  }
}
.main > div {
  max-width: var(--maxwidth);
  margin: 0 auto;
  padding: 2rem 1rem 4rem 1rem;
}

.weights {
  font-family: "Cantarell var", sans-serif;
  grid-area: weights;
  background-color: var(--green1);
  color: var(--dark5);
}
@media (prefers-color-scheme: dark) {
  .weights {
    background-color: var(--green5);
    color: var(--light2);
  }
}
.weights > div {
  max-width: var(--maxwidth);
  margin: 0 auto;
  padding: 2rem 1rem 4rem 1rem;
}
.weights > div > ul {
  padding: 0;
  margin: 1rem 0;
  display: grid;
  /* grid-template-columns: repeat(3,1fr); */
  grid-template-columns: repeat(auto-fill, minmax(14rem, 1fr));
  gap: 2rem;
}
.weights > div > ul > li {
  overflow-wrap: anywhere;
  list-style: none;
}
.w-thin,
.w-thin > h2 {
  font-variation-settings: "wght" 100;
  font-weight: 100;
}
.w-xlight,
.w-xlight > h2 {
  font-variation-settings: "wght" 200;
  font-weight: 200;
}
.w-light,
.w-light > h2 {
  font-variation-settings: "wght" 300;
  font-weight: 300;
}
.w-regular,
.w-regular > h2 {
  font-variation-settings: "wght" 350;
  font-weight: 350;
}
.w-medium,
.w-medium > h2 {
  font-variation-settings: "wght" 400;
  font-weight: 400;
}
.w-semibold,
.w-semibold > h2 {
  font-variation-settings: "wght" 500;
  font-weight: 500;
}
.w-bold,
.w-bold > h2 {
  font-variation-settings: "wght" 600;
  font-weight: 600;
}
.w-xbold,
.w-xbold > h2 {
  font-variation-settings: "wght" 700;
  font-weight: 700;
}
.w-black,
.w-black > h2 {
  font-variation-settings: "wght" 800;
  font-weight: 800;
}

/* slider */
input[type="range"] {
  height: 25px;
  -webkit-appearance: none;
  margin: 2rem 0;
  width: 100%;
  background: transparent;
}
input[type="range"]:focus {
  outline: none;
}

input[type="range"]::range-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  box-shadow: 0px 0px 0px #000000;
  background: var(--blue5);
  border-radius: 3px;
  border: 0px solid #000000;
}

input[type="range"]::-moz-range-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  box-shadow: 0px 0px 0px #000000;
  background: var(--blue5);
  border-radius: 3px;
  border: 0px solid #000000;
}

input[type="range"]::-webkit-slider-runnable-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  box-shadow: 0px 0px 0px #000000;
  background: var(--blue5);
  border-radius: 3px;
  border: 0px solid #000000;
}

input[type="range"]::slider-thumb {
  box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.5);
  border: none;
  height: 32px;
  width: 32px;
  border-radius: 16px;
  background: var(--light1);
  cursor: pointer;
}

input[type="range"]::-moz-range-thumb {
  box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.5);
  border: none;
  height: 32px;
  width: 32px;
  border-radius: 16px;
  background: var(--light1);
  cursor: pointer;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.5);
  border: none;
  margin-top: -12px; /* shameful workaround */
  height: 32px;
  width: 32px;
  border-radius: 16px;
  background: var(--light1);
  cursor: pointer;
}

.faq {
  display: block;
  list-style: none;
  padding: 0;
  columns: 1;
  column-gap: 2rem;
}
.faq li {
  break-inside: avoid;
}
.faq li:first-child h3 {
  margin-top: 0;
}
.faq h3 {
  margin-top: 3rem;
}

@media (min-width: 700px) {
  .faq {
    columns: 2;
    orphans: 3;
  }
}

/* FOOTER */
footer {
  grid-area: ft;
  font-size: 70%;
  background-color: var(--dark5);
  color: white;
  padding: 5rem 3rem 7rem;
  text-align: center;
}

footer > div {
  max-width: var(--maxwidth);
  margin: 0 auto;
  padding: 0 1rem;
}

footer a {
  text-decoration: none;
  font-weight: bold;
  font-variation-settings: "wght" 600;
}
